%define upstream_name    Gearman
%define upstream_version 2.004.015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Client for gearman distributed job system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gearman/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(POSIX)
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Proc::Guard) >= 0.70.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(String::CRC32)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP) >= 2.170.0
BuildRequires: perl(Test::Timer)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(fields)
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
_Gearman::Task_ is a Gearman::Client's representation of a task to be done.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.4.15-4.mga9
+ Revision: 1809386
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.4.15-3.mga8
+ Revision: 1504560
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.4.15-2.mga7
+ Revision: 1283930
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 2.4.15-1.mga7
+ Revision: 1253963
- update to 2.004.015

* Tue Mar 20 2018 shlomif <shlomif> 2.4.14-1.mga7
+ Revision: 1210630
- update to 2.004.014

* Sun Feb 25 2018 shlomif <shlomif> 2.4.13-1.mga7
+ Revision: 1204935
- update to 2.004.0013

* Mon Jan 08 2018 shlomif <shlomif> 2.4.12-1.mga7
+ Revision: 1191651
- update to 2.004.012

* Tue Dec 26 2017 shlomif <shlomif> 2.4.11-1.mga7
+ Revision: 1185269
- update to 2.004.011

* Sun Dec 10 2017 shlomif <shlomif> 2.4.10-1.mga7
+ Revision: 1182019
- update to 2.004.010

* Tue Oct 24 2017 shlomif <shlomif> 2.4.9-1.mga7
+ Revision: 1173440
- update to 2.004.009

* Mon Oct 02 2017 tv <tv> 2.4.8-2.mga7
+ Revision: 1164485
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 guillomovitch <guillomovitch> 2.4.8-1.mga7
+ Revision: 1160600
- new version

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-3.mga6
+ Revision: 1027699
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.120.0-2.mga6
+ Revision: 966258
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.120.0-1.mga6
+ Revision: 843161
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 745930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 684834
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-3.mga4
+ Revision: 511821
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 367627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 1.110.0-1.mga2
+ Revision: 211851
- imported package perl-Gearman


* Wed Feb 22 2012 cpan2dist 1.11-1mga
- initial mageia release, generated with cpan2dist
